<template>
  <div class="list-item search-results-list-item">
    <h4>
      <router-link :to="result.link"><template v-html="result.title" /></router-link>
    </h4>
    <p>
      <router-link :to="result.link"><span v-html="result.content" /></router-link>
    </p>
  </div>
</template>

<script>
export default {
  name: 'SearchResultsListItem',
  props: {
    result: { type: Object, required: true },
  },
}
</script>

<style lang="scss">
@use '../../../core/sass/vars';

.search-results-list-item p a {
  color: vars.$textColor;

  &:hover {
    text-decoration: none;
  }
}

.dark {
  .search-results-list-item p a {
    color: vars.$darkTextColor;
  }
}
</style>
